## audioparse audioparse |

## Properties

gint | channels | Read / Write
gint | depth | Read / Write
GstAudioParseEndianness | endianness | Read / Write
GstAudioParseFormat | format | Read / Write
gint | rate | Read / Write
gboolean | signed | Read / Write
gint | width | Read / Write
GValueArray * | channel-positions | Read / Write
gboolean | interleaved | Read / Write
GstAudioFormat | raw-format | Read / Write
gboolean | use-sink-caps | Read / Write

## Types and Values

struct | GstAudioParse

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBin
                        ╰── GstAudioParse

## Implemented Interfaces

GstAudioParse implements GstChildProxy.

## Description

Converts a byte stream into audio frames.

This element is deprecated. Use GstRawAudioParse instead.

## Synopsis

### Element Information

plugin | rawparse
author | Sebastian Dröge <sebastian.droege@collabora.co.uk>
class | Filter/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

name | src
direction | source
presence | always
details | audio/x-raw, format=(string){ S8, U8, S16LE, S16BE, U16LE, U16BE, S24_32LE, S24_32BE, U24_32LE, U24_32BE, S32LE, S32BE, U32LE, U32BE, S24LE, S24BE, U24LE, U24BE, S20LE, S20BE, U20LE, U20BE, S18LE, S18BE, U18LE, U18BE, F32LE, F32BE, F64LE, F64BE }, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ], layout=(string){ interleaved, non-interleaved }
| audio/x-unaligned-raw, format=(string){ S8, U8, S16LE, S16BE, U16LE, U16BE, S24_32LE, S24_32BE, U24_32LE, U24_32BE, S32LE, S32BE, U32LE, U32BE, S24LE, S24BE, U24LE, U24BE, S20LE, S20BE, U20LE, U20BE, S18LE, S18BE, U18LE, U18BE, F32LE, F32BE, F64LE, F64BE }, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ], layout=(string){ interleaved, non-interleaved }
| audio/x-alaw, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ]
| audio/x-mulaw, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ]

## Functions

## Types and Values

### struct GstAudioParse

    struct GstAudioParse;

## Property Details

### The `“channels”` property

      “channels”                 gint

Number of channels in raw stream.

Flags: Read / Write

Allowed values: [1,64]

Default value: 2

### The `“depth”` property

      “depth”                    gint

Depth of audio samples in raw stream.

Flags: Read / Write

Allowed values: >= 1

Default value: 16

### The `“endianness”` property

      “endianness”               GstAudioParseEndianness

Endianness of audio samples in raw stream.

Flags: Read / Write

Default value: Little Endian

### The `“format”` property

      “format”                   GstAudioParseFormat

Format of audio samples in raw stream.

Flags: Read / Write

Default value: Raw

### The `“rate”` property

      “rate”                     gint

Rate of audio samples in raw stream.

Flags: Read / Write

Allowed values: >= 1

Default value: 44100

### The `“signed”` property

      “signed”                   gboolean

Sign of audio samples in raw stream.

Flags: Read / Write

Default value: TRUE

### The `“width”` property

      “width”                    gint

Width of audio samples in raw stream.

Flags: Read / Write

Allowed values: >= 1

Default value: 16

### The `“channel-positions”` property

      “channel-positions”        GValueArray *

Channel positions used on the output.

Flags: Read / Write

### The `“interleaved”` property

      “interleaved”              gboolean

True if audio has interleaved layout.

Flags: Read / Write

Default value: TRUE

### The `“raw-format”` property

      “raw-format”               GstAudioFormat

Format of audio samples in raw stream.

Flags: Read / Write

Default value: GST_AUDIO_FORMAT_S16LE

### The `“use-sink-caps”` property

      “use-sink-caps”            gboolean

Use the sink caps for the format, only performing timestamping.

Flags: Read / Write

Default value: FALSE